/*
 * darcnes_app.h
 *
 * DarcNES/BeOS main application class
 */

#ifndef DARCNES_APP_H
#define DARCNES_APP_H

/* $Id: darcnes_app.h,v 1.1 2000/05/29 23:54:52 nyef Exp $ */

#include <Application.h>

extern "C" {
#include "tool.h"
}

class darcnes_window;

class darcnes_app : public BApplication {
public:
    darcnes_app();
    virtual void ArgvReceived(int32 argc, char *argv[]);
    virtual void RefsReceived(BMessage *message);

private:
    darcnes_window *main_window;
    int system_type;
    rom_file romfile;
};

#endif /* DARCNES_APP_H */

/*
 * $Log: darcnes_app.h,v $
 * Revision 1.1  2000/05/29 23:54:52  nyef
 * Initial revision
 *
 */
