/*
 * emulation.h
 *
 * the embodiment of an emulation in progress
 */

/* $Id: emulation.h,v 1.1 2000/05/29 23:55:17 nyef Exp $ */

extern "C" {
#include "tool.h"
}

#include <OS.h>

class emulation {
 public:
    emulation(int system_type, rom_file romfile);
    void start();
    void pause();
    void stop();

 private:
    friend int32 emulation_mainloop(void *);
    int32 mainloop();
    
    rom_file romfile;
    int system_type;
    thread_id thread;
    int active;
};

/*
 * $Log: emulation.h,v $
 * Revision 1.1  2000/05/29 23:55:17  nyef
 * Initial revision
 *
 */
