/*
 * darcnes_window.h
 *
 * DarcNES emulation window
 */

/* $Id: darcnes_window.h,v 1.1 2000/05/29 23:55:09 nyef Exp $ */

#ifndef DARCNES_WINDOW_H
#define DARCNES_WINDOW_H

#include <Window.h>
#include <Bitmap.h>

class emulation;

class darcnes_window : public BWindow {
public:
    darcnes_window(BRect frame);
    virtual bool QuitRequested();
    virtual void MessageReceived(BMessage *message);
    void display_buffer();
    void setsize(int x, int y);
    void set_emulation(emulation *the_emulation);
    
private:
    void populate_menubar();

    BMenuBar *menubar;
    BMenuItem *file_open;
    BFilePanel *open_panel;
    BView *game_display;
    BBitmap *image_bitmap;
    emulation *the_emulation;
};

#endif /* DARCNES_WINDOW_H */

/*
 * $Log: darcnes_window.h,v $
 * Revision 1.1  2000/05/29 23:55:09  nyef
 * Initial revision
 *
 */
